package com.muyu.mqtt;

import lombok.extern.log4j.Log4j2;
import org.eclipse.paho.client.mqttv3.MqttClient;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 消息处理器 MsgHandler
 *
 * @author Yangle
 * Date 2024/5/29 20:44
 */
@Log4j2
@Component
public class MsgHandler {

    @Autowired
    private MqttFactory mqttFactory;
    @RabbitListener(queues = "create.topic")
    public void msg(String msg){
        System.out.println("接收到消息：" + msg);
        MqttProperties mqttProperties = MqttProperties.configBuild(
                "47.102.133.88",
                "test1"
        );
         log.error("接收到消息初始化信息:{}",mqttProperties);
        MqttClient mqttClient = mqttFactory.creatClient(mqttProperties);
        log.error("client创建成功:{}",mqttClient.getClientId());

    }
}
