package com.muyu.receive;

import org.eclipse.paho.client.mqttv3.*;
import org.eclipse.paho.client.mqttv3.persist.MemoryPersistence;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * 接受小车报文
 *
 * @author Yangle
 * Date 2024/5/31 20:26
 */
@SpringBootApplication
public class ReceiveCarMessage {

    public static void main(String[] args) {
        String broker ="tcp://47.102.213.144:1883";
        String topic="test1";
        String username="82181E1AAD7FE0A392D80166D8292FC061094D0660076A5FB9A43545";
        String password="HXITHXUQR2TUC0X3U17175890712840658AE39CE36DC0843DFCEE990DAA9FEDEF3F06296E4377930F0FAB2";
        String cliented="subscribe_client";
        int qos=0;

        try {
            MqttClient client  = new MqttClient(broker, cliented, new MemoryPersistence());
            //连接参数
            MqttConnectOptions options = new MqttConnectOptions();
            options.setUserName(username);
            options.setPassword(password.toCharArray());
            options.setConnectionTimeout(60);
            options.setKeepAliveInterval(60);
            //设置回调
            client.setCallback(new MqttCallback() {
                @Override
                public void connectionLost(Throwable cause) {
                    System.out.println("connectionLost:"+cause.getMessage());
                }

                @Override
                public void messageArrived(String s, MqttMessage message) throws Exception {
                    System.out.println("topice:"+topic);
                    System.out.println("Qos:"+message.getQos());
                    System.out.println("message content:"+new String(message.getPayload()));
                }

                @Override
                public void deliveryComplete(IMqttDeliveryToken token) {
                    System.out.println("deliveryComplete---------" + token.isComplete());
                }
            });
           client.connect(options);
           client.subscribe(topic,qos);
        } catch (MqttException e) {
            throw new RuntimeException(e);
        }
        SpringApplication.run(ReceiveCarMessage.class, args);
    }

}
